Package org.eclipse.osgi.storage

# Interface ContentProvider

All Known Implementing Classes:
  `ReferenceInputStream`

public interface ContentProvider
A content provider is a marker interface that is used but the framework internally to handle different kinds of bundles. For example, reference installed bundles or connect bundles. The type of the provider indicates how the framework will handle the install or update of the bundle content.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`ContentProvider.Type`
The type of the provided content

## Method Summary

Modifier and Type
Method
Description
`File`
`getContent()`
A file of the content, may be `null`
`ContentProvider.Type`
`getType()`
The type of content

## Method Details

### getContent

File getContent() throws BundleException
A file of the content, may be `null`

Returns:
  the file, may be `null`
Throws:
  `BundleException`

### getType

ContentProvider.Type getType()
The type of content

Returns:
  the type of content